Subject: bug#755 closed by David Reitter <[email-masked]> (Fwd: bug#755: 23.0.60; ns-cursor-blink-rate: symbol's value as variable is void)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs,ns package:

#755: 23.0.60; ns-cursor-blink-rate: symbol's value as variable is void

It has been closed by David Reitter <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact David Reitter <[email-masked]> by
replying to this email.

-- 
755: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=755
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Fri Aug 22 05:40:35 2008
From: David Reitter <[email-masked]>
To: [email-masked]
Subject: Fwd: bug#755: 23.0.60; ns-cursor-blink-rate: symbol's value as variable is void
Date: Fri, 22 Aug 2008 08:40:24 -0400

--Apple-Mail-42-583456141
Content-Type: text/plain;
	charset=US-ASCII;
	format=flowed;
	delsp=yes
Content-Transfer-Encoding: 7bit

Begin forwarded message:

> From: Clifford Wulfman <[email-masked]>
> Date: 22 August 2008 08:13:53 EDT
> To: David Reitter <[email-masked]>
> Subject: Re: bug#755: 23.0.60; ns-cursor-blink-rate: symbol's value  
> as variable is void
>
> David,
>
> 	This problem went away in a new build shortly after I reported it:  
> I've been following the discussion on emacs-devel and I see that  
> there were problems with a patch which were subsequently resolved.   
> Just to make sure, I just now started Emacs with -Q as you ask, and  
> it seems to run fine; ditto with moving org.gnu.Emacs.plist.
>
> 	Thanks for getting back to me, though!  I'm a long-time emacs user  
> and I'm really happy to see this Cocoa implementation reaching  
> maturity -- great work!  Be sure to let me know if there's anything  
> else I can do: my C-coding skills are non-existent, and my Lisp is  
> too rusty for me to be of much use, but I'd be happy to help out if  
> I can be of any service.
>
> --Cliff Wulfman
>
> On Aug 22, 2008, at 7:36 AM, David Reitter wrote:
>
>> Thanks for reporting this problem.
>>
>> On 20 Aug 2008, at 20:19, Clifford Wulfman wrote:
>>
>>> On start-up from a fresh cvs-build, I get an error saying
>>> Symbol's value as variable is void: ns-cursor-blink-rate
>>
>> Can you please start Emacs with "-Q" , e.g. as
>>
>> /Applications/Emacs.app/Contents/MacOS/Emacs -Q
>>
>> ... does this still occur?
>> What happens if you move ~/Library/Preferences/org.gnu.Emacs.plist  
>> out of the way?
>>
>> - D
>

--Apple-Mail-42-583456141
Content-Disposition: attachment;
	filename=smime.p7s
Content-Type: application/pkcs7-signature;
	name=smime.p7s
Content-Transfer-Encoding: base64

--Apple-Mail-42-583456141--

>From [email-masked] Wed Aug 20 17:19:40 2008
From: Clifford Wulfman <[email-masked]>
To: [email-masked]
Subject: 23.0.60; ns-cursor-blink-rate: symbol's value as variable is void
Date: Wed, 20 Aug 2008 20:19:16 -0400

On start-up from a fresh cvs-build, I get an error saying
  Symbol's value as variable is void: ns-cursor-blink-rate

In GNU Emacs 23.0.60.1 (i386-apple-darwin9.4.0, *Step 9.0)
  of 2008-08-20 on hagen.local
Windowing system distributor `Apple', version 49.46.48
configured using `configure  '--with-ns' '--disable-ns-self-contained''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t

Recent input:
<escape> x m e s s SPC <backspace> C-g C-x b * M e
SPC <return> <down-mouse-1> <mouse-movement> <mouse-movement>
<mouse-movement> <mouse-movement> <mouse-movement>
<mouse-movement> <drag-mouse-1> s-c <down-mouse-1>
<mouse-1> <menu-bar> <help-menu> <send-emacs-bug-r
eport>

Recent messages:
or: Symbol's value as variable is void: ns-cursor-blink-rate
Quit